/// <reference types="arcgis-js-api" />
/**
 * This module is used to make the BufferUI interact with an ArcGIS API for JavaScript v3 map.
 */
import { BufferUI } from "@wsdot/arcgis-buffer-ui";
import FeatureLayer = require("esri/layers/FeatureLayer");
import View = require("esri/views/View");
/**
 * Creates a feature layer and adds it to the map.
 * @param view
 * @param buffer
 * @param layerId - Specifies the id property's value of the layer FeatureLayer that will be used to display the buffer polygons.
 * @returns Returns the FeatureLayer that was created to display buffer polygons.
 */
export declare function attachBufferUIToMap(view: View, buffer: BufferUI, layerId?: string): FeatureLayer;
